org.modeshape.jcr.query

## Interface QueryIndexing

- All Known Subinterfaces:
    LuceneSchema
  All Known Implementing Classes:
    BasicLuceneSchema

      public interface QueryIndexing

  Interface used to record in the indexes the changes to content.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBinaryToIndex(Binary binary, org.hibernate.search.backend.TransactionContext txnCtx)`
    `void` | `addToIndex(String workspace, NodeKey key, Path path, Name primaryType, Set<Name> mixinTypes, Iterator<Property> propertiesIterator, NodeTypeSchemata schemata, org.hibernate.search.backend.TransactionContext txnCtx)` Add to the index the information about a node.
    `boolean` | `initializedIndexes()` Retrieve whether the indexes were initialized and empty upon startup.
    `void` | `removeAllFromIndex(String workspace, org.hibernate.search.backend.TransactionContext txnCtx)`
    `void` | `removeBinariesFromIndex(Iterable<String> sha1s, org.hibernate.search.backend.TransactionContext txnCtx)`
    `void` | `removeFromIndex(String workspace, Iterable<NodeKey> keys, org.hibernate.search.backend.TransactionContext txnCtx)`
    `void` | `updateIndex(String workspace, NodeKey key, Path path, Name primaryType, Set<Name> mixinTypes, Iterator<Property> properties, NodeTypeSchemata schemata, org.hibernate.search.backend.TransactionContext txnCtx)` Update the index to reflect the new state of the node.

- - ### Method Detail

    - #### addToIndex

          void addToIndex(String workspace,
                        NodeKey key,
                        Path path,
                        Name primaryType,
                        Set<Name> mixinTypes,
                        Iterator<Property> propertiesIterator,
                        NodeTypeSchemata schemata,
                        org.hibernate.search.backend.TransactionContext txnCtx)

      Add to the index the information about a node.
      Parameters:
        `workspace` - the workspace in which the node information should be available; may not be null
        `key` - the unique key for the node; may not be null
        `path` - the path of the node; may not be null
        `primaryType` - the primary type of the node; may not be null
        `mixinTypes` - the mixin types for the node; may not be null but may be empty
        `propertiesIterator` - the iterator over the properties of a node; may not be null but may be empty
        `schemata` - the node type schemata that should be used to determine how the node is to be indexed; may not be null
        `txnCtx` - the transaction context in which the index updates should be made; may not be null

    - #### updateIndex

          void updateIndex(String workspace,
                         NodeKey key,
                         Path path,
                         Name primaryType,
                         Set<Name> mixinTypes,
                         Iterator<Property> properties,
                         NodeTypeSchemata schemata,
                         org.hibernate.search.backend.TransactionContext txnCtx)

      Update the index to reflect the new state of the node.
      Parameters:
        `workspace` - the workspace in which the node information should be available; may not be null
        `key` - the unique key for the node; may not be null
        `path` - the path of the node; may not be null
        `primaryType` - the primary type of the node; may not be null
        `mixinTypes` - the mixin types for the node; may not be null but may be empty
        `properties` - the properties of the node; may not be null but may be empty
        `schemata` - the node type schemata that should be used to determine how the node is to be indexed; may not be null
        `txnCtx` - the transaction context in which the index updates should be made; may not be null

    - #### initializedIndexes

          boolean initializedIndexes()

      Retrieve whether the indexes were initialized and empty upon startup.
      Returns:
        true if the index(es) initially had no content, or false if there was already at least some content in the indexes upon startup

    - #### removeFromIndex

          void removeFromIndex(String workspace,
                             Iterable<NodeKey> keys,
                             org.hibernate.search.backend.TransactionContext txnCtx)

    - #### removeAllFromIndex

          void removeAllFromIndex(String workspace,
                                org.hibernate.search.backend.TransactionContext txnCtx)

    - #### addBinaryToIndex

          void addBinaryToIndex(Binary binary,
                              org.hibernate.search.backend.TransactionContext txnCtx)

    - #### removeBinariesFromIndex

          void removeBinariesFromIndex(Iterable<String> sha1s,
                                     org.hibernate.search.backend.TransactionContext txnCtx)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.